/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "display/color.h"

#define FRAME_WIDTH 30
#define FRAME_HEIGHT 12

extern char_t FRAME_BUFFER[FRAME_HEIGHT * FRAME_WIDTH];
extern uint8_t FRAME_COLOR[FRAME_HEIGHT * FRAME_WIDTH];

/**
 * Initializes the frame buffer.
 */
void frameInit();

/**
 * Updates the terminal frame.
 */
void frameUpdate();